"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReadmeRouter = void 0;
const express_1 = require("express");
const promises_1 = __importDefault(require("node:fs/promises"));
const node_path_1 = __importDefault(require("node:path"));
const config_1 = require("../../lib/config");
const qiita_api_1 = require("../../qiita-api");
const readmeIndex = async (req, res) => {
    try {
        const fileContent = await promises_1.default.readFile(node_path_1.default.join(node_path_1.default.resolve(__dirname), "../../../", "README.md"), { encoding: "utf8" });
        const { accessToken } = await config_1.config.getCredential();
        const qiitaApi = new qiita_api_1.QiitaApi({ token: accessToken });
        const renderedBody = await qiitaApi.preview(fileContent);
        res.json({
            renderedBody,
        });
    }
    catch (err) {
        res.status(404).json({
            message: "Not found",
        });
    }
};
exports.ReadmeRouter = (0, express_1.Router)().get("/", readmeIndex);
//# sourceMappingURL=readme.js.map